using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using ZSMusic.IDAL;

namespace ZSMusic.DALFactory
{
    public static class DataAccess
    {
        public static IUser CreatUser(string source)
        {
            return (IDAL.IUser)(Assembly.Load("ZSMusic.DAL").CreateInstance("ZSMusic.DAL.Manager." + source + ".UserDAL"));
        }
        public static IErrReport CreatErrReport(string source)
        {
            return (IDAL.IErrReport)(Assembly.Load("ZSMusic.DAL").CreateInstance("ZSMusic.DAL.Manager." + source + ".ErrReportDAL"));
        }
    }
}
